// **********************************************************
// 文件名：qt_util.cpp
// 创建日期：2020-11-16 15:59
// 作者: 王炜
// 说明：qt相关的工具函数
// **********************************************************

#pragma once

#include <stdexcept>
#include "qt_util.h"

using namespace std;

/************************************************
* \brief 设置TableWidget标题栏的宽度
* \param pTableWidget 
* \param margin 
************************************************/
void resizeTableWidgetTab( QTableWidget * pTableWidget, unsigned margin )
{
	//验证
	if ( pTableWidget == nullptr )
	{
		throw logic_error( "窗口指针为空！" );
	}

	int columnCount = pTableWidget->columnCount();

	pTableWidget->resizeColumnsToContents();

	for ( int columnIndex = 0; columnIndex < columnCount; columnIndex++ )
	{
		unsigned int columnWidth = pTableWidget->columnWidth( columnIndex );
		columnWidth += margin * 2;

		pTableWidget->setColumnWidth( columnIndex, columnWidth );
	}
}
